linux: 3.8.0-13.22 -proposed tracker

Bug #1155680 reported by Tim Gardner on 2013-03-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel Development Workflow
Undecided
Unassigned
Automated-testing
Undecided
Canonical Kernel Team
Prepare-package
Undecided
Tim Gardner
Prepare-package-meta
Undecided
Tim Gardner
Prepare-package-signed
Undecided
Tim Gardner
Promote-to-release
Undecided
Ubuntu Archive Auto-Sync
linux (Ubuntu)
Medium
Unassigned
Raring
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-13.22 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-Prepare-package-start:Friday, 15. March 2013 16:15 UTC
kernel-Promote-to-release-end:Saturday, 16. March 2013 14:00 UTC
kernel-phase:Released
kernel-phase-changed:Saturday, 16. March 2013 15:01 UTC

Related branches

CVE References

Tim Gardner (timg-tpi) on 2013-03-15
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: raring
Changed in kernel-development-workflow:
status: New → In Progress

All builds are complete, packages in this bug are available in -proposed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-13.22

---------------
linux (3.8.0-13.22) raring; urgency=low

  [ Andy Whitcroft ]

  * Revert "SAUCE: fireware: add NO_MSI quirks for o2micro controller"

  [ Kamal Mostafa ]

  * SAUCE: alx: use github.com/qca/alx repo
    - LP: #1154238
  * [packaging] do not use ../.$(series)-env file
  * SAUCE: Convert bnx2x firmware files to ihex format

  [ Qualcomm Atheros, Inc ]

  * SAUCE: alx: Update to heads/master
    - LP: #1154238

  [ Seth Forshee ]

  * SAUCE: efivars: Allow disabling use as a pstore backend
  * [Config] Re-enable CONFIG_PSTORE for x86

  [ Tim Gardner ]

  * Drop efivarfs reverts in favor of 3.8.3 stable updates
    Revert "efivarfs: Validate filenames much more aggressively"
    Revert "efivarfs: guid part of filenames are case-insensitive"
  * [Config] CONFIG_I2C_ISMT=m
    - LP: #1011449
  * [Config] CONFIG_SERIAL_8250_DMA=y,CONFIG_SERIAL_8250_DW=m for x86en
    - LP: #1031162
  * Release Tracking Bug
    - LP: #1155680

  [ Upstream Kernel Changes ]

  * net/sctp: Validate parameter size for SCTP_GET_ASSOC_STATS
    - LP: #1152791
    - CVE-2013-1828
  * mfd: rtsx: Implement driving adjustment to device-dependent callbacks
    - LP: #1153618
  * mfd: rtsx: Support RTS5227
    - LP: #1153618
  * mmc: rtsx: remove driving adjustment
    - LP: #1153618
  * i2c: Adding support for Intel iSMT SMBus 2.0 host controller
    - LP: #1011449
  * i2c: fix i2c-ismt.c printk format warning
    - LP: #1011449
  * serial: quatech: add the other serial identifiers and preliminary
    control code
    - LP: #1031162
  * serial: Remove RM9000 series serial driver.
    - LP: #1031162
  * serial: 8250_pci: remove __devexit usage
    - LP: #1031162
  * serial: 8250: Allow drivers to deliver capabilities
    - LP: #1031162
  * serial: 8250_dw: Don't use UPF_FIXED_TYPE
    - LP: #1031162
  * serial: 8250_dw: Map IO memory
    - LP: #1031162
  * serial: 8250_dw: Move device tree code to separate function
    - LP: #1031162
  * serial: 8250_dw: Set FIFO size dynamically
    - LP: #1031162
  * serial: 8250_dw: Add ACPI 5.0 support
    - LP: #1031162
  * serial: 8250: Add support for dmaengine
    - LP: #1031162
  * serial: 8250_dw: Enable DMA support with ACPI
    - LP: #1031162

  [ Upstream Kernel Changes ]

  * rebase to v3.8.3
 -- Tim Gardner <email address hidden> Mon, 11 Mar 2013 06:53:51 -0600

Changed in linux (Ubuntu Raring):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2013-03-16
description: updated
Brad Figg (brad-figg) on 2013-03-16
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-development-workflow:
status: In Progress → Fix Released
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers